## ros2-ament-cmake-ros 0.11.1

=== ament_cmake_ros/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ament_cmake_ros NONE)

find_package(ament_cmake REQUIRED)

ament_export_dependencies(ament_cmake)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "ament_cmake_ros-extras.cmake.in"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

## ros2-ament-cmake-ros 0.11.0

=== debian/changelog ===
ros2-ament-cmake-ros (0.11.0-2) unstable; urgency=medium

  * Fix dependencies and improve package descriptions
  * Do not install cruft

 -- Timo Röhling <roehling@debian.org>  Tue, 10 May 2022 00:01:51 +0200

ros2-ament-cmake-ros (0.11.0-1) unstable; urgency=medium

  * Fix d/watch
  * New upstream version 0.11.0

 -- Timo Röhling <roehling@debian.org>  Mon, 02 May 2022 13:39:25 +0200

ros2-ament-cmake-ros (0.10.0-2) unstable; urgency=medium

  * source only upload

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 12 Apr 2022 20:01:20 +0200

ros2-ament-cmake-ros (0.10.0-1) unstable; urgency=medium

  * Initial release.

 -- Timon Engelke <debian@timonengelke.de>  Wed, 16 Mar 2022 22:04:45 +0100

=== debian/control ===
Source: ros2-ament-cmake-ros
Section: devel
Priority: optional
Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
Uploaders: Timon Engelke <debian@timonengelke.de>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Timo Röhling <roehling@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               dh-ros,
               cmake,
               python3-ament-package,
               python3-pytest <!nocheck>,
               python3-setuptools,
               ament-cmake,
               ament-lint (>= 0.13.0-2~)
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/ros2/ament_cmake_ros
Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake-ros.git
Vcs-Browser: https://salsa.debian.org/robotics-team/ros2-ament-cmake-ros

Package: ament-cmake-ros
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ament-cmake,
 ament-cmake-googletest,
 ament-cmake-pytest,
 python3-domain-coordinator,
Description: CMake build system for ROS 2 ament packages (ROS extension)
 The ament build system is the most common way to build packages for ROS 2.
 ament_cmake provides the necessary tooling to build ament packages with
 CMake.
 .
 This package provides ROS specific CMake helper functions, in particular
 a way to run tests in an isolated DDS network domain.

Package: python3-domain-coordinator
Architecture: all
Multi-Arch: foreign
Section: python
Depends: ${misc:Depends}, ${python3:Depends}
Description: ROS 2 test domain coordinator
 This package is part of ROS 2, the Robot Operating System.
 It provides the means to isolate concurrently running ROS 2
 test suites by providing locally unique ROS_DOMAIN_IDs.

## ros2-ament-cmake-ros 0.11.1

=== debian/changelog ===
ros2-ament-cmake-ros (0.11.1-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add MA hint from the MA hinter

  [ Timo Röhling ]
  * Bump Standards-Version to 4.6.1
  * New upstream version 0.11.1

 -- Timo Röhling <roehling@debian.org>  Thu, 15 Sep 2022 14:42:09 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python3-pytest <!nocheck>,
                python3-setuptools,
                ament-cmake,
-               ament-lint (>= 0.13.0-2~)
-Standards-Version: 4.6.0
+               ament-lint (>= 0.13.1-2~)
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ros2/ament_cmake_ros
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake-ros.git
@@ -27,7 +27,7 @@
 Depends:
  ${misc:Depends},
  ament-cmake,
- ament-cmake-googletest,
+ ament-cmake-googletest:any,
  ament-cmake-pytest,
  python3-domain-coordinator,
 Description: CMake build system for ROS 2 ament packages (ROS extension)

## ros2-ament-cmake-ros 0.12.0

=== debian/changelog ===
ros2-ament-cmake-ros (0.12.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse.

  [ Timo Röhling ]
  * New upstream version 0.12.0
  * Bump Standards-Version to 4.6.2

 -- Timo Röhling <roehling@debian.org>  Wed, 14 Jun 2023 00:37:22 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-setuptools,
                ament-cmake,
                ament-lint (>= 0.13.1-2~)
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/ros2/ament_cmake_ros
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake-ros.git

## ros2-ament-cmake-ros 0.13.0

=== debian/changelog ===
ros2-ament-cmake-ros (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * Reformat d/control
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Mon, 29 Apr 2024 00:20:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,22 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Robotics Team <team+robotics@tracker.debian.org>
-Uploaders: Timon Engelke <debian@timonengelke.de>,
-           Jochen Sprickerhof <jspricke@debian.org>,
-           Timo Röhling <roehling@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               dh-ros,
-               cmake,
-               python3-ament-package,
-               python3-pytest <!nocheck>,
-               python3-setuptools,
-               ament-cmake,
-               ament-lint (>= 0.13.1-2~)
-Standards-Version: 4.6.2
+Uploaders:
+ Timon Engelke <debian@timonengelke.de>,
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Timo Röhling <roehling@debian.org>
+Build-Depends:
+ ament-cmake,
+ ament-lint (>= 0.13.1-2~),
+ cmake,
+ debhelper-compat (= 13),
+ dh-ros,
+ dh-sequence-python3,
+ python3-all,
+ python3-ament-package,
+ python3-pytest <!nocheck>,
+ python3-setuptools,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ros2/ament_cmake_ros
 Vcs-Git: https://salsa.debian.org/robotics-team/ros2-ament-cmake-ros.git

=== debian/watch ===
version=4
opts=filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1% \
  https://github.com/ros2/ament_cmake_ros/tags \
  (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## ros2-ament-cmake-ros 0.13.1

=== debian/changelog ===
ros2-ament-cmake-ros (0.13.1-2) unstable; urgency=medium

  * Setuptools is not needed as runtime dependency (Closes: #1083748)

 -- Timo Röhling <roehling@debian.org>  Tue, 03 Dec 2024 14:17:12 +0100

ros2-ament-cmake-ros (0.13.1-1) unstable; urgency=medium

  * New upstream version 0.13.1
  * Skip broken xmllint tests
  * Wrap and sort Debian package files

 -- Timo Röhling <roehling@debian.org>  Sun, 01 Dec 2024 17:01:11 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Timon Engelke <debian@timonengelke.de>,
  Jochen Sprickerhof <jspricke@debian.org>,
- Timo Röhling <roehling@debian.org>
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  ament-cmake,
  ament-lint (>= 0.13.1-2~),
@@ -27,11 +27,11 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- ${misc:Depends},
  ament-cmake,
  ament-cmake-googletest:any,
  ament-cmake-pytest,
  python3-domain-coordinator,
+ ${misc:Depends},
 Description: CMake build system for ROS 2 ament packages (ROS extension)
  The ament build system is the most common way to build packages for ROS 2.
  ament_cmake provides the necessary tooling to build ament packages with
@@ -44,7 +44,9 @@
 Architecture: all
 Multi-Arch: foreign
 Section: python
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: ROS 2 test domain coordinator
  This package is part of ROS 2, the Robot Operating System.
  It provides the means to isolate concurrently running ROS 2

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS = -m "not xmllint"

%:
	dh $@ --buildsystem=ros
